<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php
function threadedComments($comments, $options)
{
	$commentClass = '';
	if ($comments->authorId)
	{
		if ($comments->authorId == $comments->ownerId)
			$commentClass .= ' comment-by-author';
		else
			$commentClass .= ' comment-by-user';
	}
	$commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent'; ?>
	<li id="li-<?php $comments->theId(); ?>" class="comment-body <?php
		if ($comments->levels > 0)
		{
			echo ' comment-child';
			$comments->levelsAlt(' comment-level-odd', ' comment-level-even');
		}
		else
			echo ' comment-parent';
		$comments->alt(' comment-odd', ' comment-even');
		echo $commentClass; ?> ">
		<div id="<?php $comments->theId(); ?>">
			<div class="comment-meta">
				<?php $comments->gravatar('40', ''); ?>
				<em><?php $comments->author(); ?></em>&nbsp;@&nbsp;<?php $comments->date(); ?>
				<span class="comment-reply"><?php $comments->reply(); ?></span>
			</div>
			<?php $comments->content(); ?>
		</div> <?php
	if ($comments->children)
	{ ?>
		<div class="comment-children">
			<?php $comments->threadedComments($options); ?>
		</div> <?php
	} ?>
		<hr>
	</li> <?php
}
?>
<hr>
<div id="comments">
	<?php $this->comments()->to($comments); ?>
	<?php if ($comments->have()): ?>
	<h3><?php $this->commentsNum(_t('还不快抢沙发?'), _t('1 条评论'), _t('%d 条评论')); ?></h3>
	<hr>
	<?php $comments->listComments(); ?>
	<?php $comments->pageNav('&laquo; 前一页', '后一页 &raquo;'); ?>
	<?php else: ?>
	<?php if ($this->allow('comment')): ?>
	<h3><?php $this->commentsNum(_t('还不快抢沙发?'), _t('1 条评论'), _t('%d 条评论')); ?></h3>
	<?php endif; ?>
	<?php endif; ?>
	<?php if ($this->allow('comment')): ?>
	<div id="<?php $this->respondId(); ?>" class="respond">
		<div class="cancel-comment-reply">
		<?php $comments->cancelReply(); ?>
		</div>
		<form class="form-horizontal" method="post" action="<?php $this->commentUrl() ?>" id="comment-form" role="form">
			<?php if($this->user->hasLogin()): ?>
			<p>您现在以&nbsp;<a href="<?php $this->options->profileUrl(); ?>"><?php $this->user->screenName(); ?></a>&nbsp;身份登录。<a class="btn btn-danger" href="<?php $this->options->logoutUrl(); ?>" title="Logout">注销&nbsp;&raquo;</a>&nbsp;<a class="btn btn-success" href="<?php $this->options->adminUrl(); ?>">进入后台&nbsp;&raquo;</a></p>
			<?php else: ?>
			<p>
				<div class="form-group">
					<label for="author" class="required col-sm-2 control-label">名字</label>
					<div class="col-sm-10">
						<input type="text" name="author" id="author" class="text form-control" value="<?php $this->remember('author'); ?>" required />
					</div>
				</div>
			</p>
			<p>
				<div class="form-group">
					<label for="mail" class="required col-sm-2 control-label">E-mail</label>
					<div class="col-sm-10">
						<input type="email" name="mail" id="mail" class="text form-control" value="<?php $this->remember('mail'); ?>"<?php if ($this->options->commentsRequireMail): ?> required<?php endif; ?> placeholder="您的电子邮件地址不会被我们公开，请放心填写。"/>
					</div>
				</div>
			</p>
			<p>
				<div class="form-group">
					<label for="url" class="required col-sm-2 control-label" <?php if ($this->options->commentsRequireURL): ?> class="required"<?php endif; ?> >网站</label>
					<div class="col-sm-10">
						<input type="url" name="url" id="url" class="text form-control" value="<?php $this->remember('url'); ?>"<?php if ($this->options->commentsRequireURL): ?> required<?php endif; ?> placeholder="http://"/>
					</div>
				</div>
			</p>
			<?php endif; ?>
			<p>
				<div class="form-group">
					<label for="textarea" class="required col-sm-2 control-label" <?php if ($this->options->commentsRequireURL): ?> class="required"<?php endif; ?> >评论内容</label>
					<div class="col-sm-10">
						<textarea rows="8" cols="50" name="text" id="textarea" class="textarea form-control" required ><?php $this->remember('text'); ?></textarea>
						<p class="block-helper">请输入您的评论内容，支持 Markdown 语法，支持 LaTeX 数学公式。</p>
					</div>
				</div>
			</p>
			<p>
				<div class="form-group">
					<div class="col-sm-2"></div>
					<div class="col-sm-10">
						<button type="submit" class="submit btn btn-success btn-block">提交评论</button>
					</div>
				</div>
			</p>
		</form>
	</div>
	<?php endif; ?>
</div>
